
Ruby - Bug #12264

Win32::Registry::API.DeleteKey and DeleteValue reference renamed constants

04/09/2016 06:10 PM - jswatosh (Joe Swatosh)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.1 and 2.2 Backport: 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

Description

The fix for https://bugs.ruby-lang.org/issues/10820 (https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/49542) started

using the wide version of the registry APIs.

--- D:/Ruby/ruby-2.1.8-i386-mingw32/lib/ruby/2.1.0/win32/registry.rb.original Tue Jan 12 05:21:04 

2016

+++ D:/Ruby/ruby-2.1.8-i386-mingw32/lib/ruby/2.1.0/win32/registry.rb    Mon Apr  4 08:17:45 2016

@@ -321,11 +321,11 @@ For detail, see the MSDN[http://msdn.microsoft.com

       end

       def DeleteValue(hkey, name)

-        check RegDeleteValue.call(hkey, make_wstr(name))

+        check RegDeleteValueW.call(hkey, make_wstr(name))

       end

 

       def DeleteKey(hkey, name)

-        check RegDeleteKey.call(hkey, make_wstr(name))

+        check RegDeleteKeyW.call(hkey, make_wstr(name))

       end

 

       def FlushKey(hkey)

 

Is a follow up to make the referenced constants match the renames.... Thanks!

Associated revisions

Revision 21992b6cbd83ba8a213f0d7a08bdf9c89e785113 - 04/10/2016 11:54 AM - nobu (Nobuyoshi Nakada)

registry.rb: fix API names

ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

API names.  [ruby-core:74863] [Bug #12264]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 21992b6c - 04/10/2016 11:54 AM - nobu (Nobuyoshi Nakada)

registry.rb: fix API names

ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

API names.  [ruby-core:74863] [Bug #12264]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 79e826d7f12a7ca916b2000b49a7fe9afb96e48e - 04/18/2016 08:54 AM - naruse (Yui NARUSE)

merge revision(s) 54529: [Backport #12264]

    * ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

      API names.  [ruby-core:74863] [Bug #12264]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54636 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 79e826d7 - 04/18/2016 08:54 AM - naruse (Yui NARUSE)
merge revision(s) 54529: [Backport #12264]

    * ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

      API names.  [ruby-core:74863] [Bug #12264]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54636 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8d9e1ca97219af43e99f8987070130914c18a584 - 04/22/2016 06:24 AM - U.Nakamura 

merge revision(s) 54529: [Backport #12264]

    * ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

      API names.  [ruby-core:74863] [Bug #12264]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54684 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8d9e1ca9 - 04/22/2016 06:24 AM - U.Nakamura 

merge revision(s) 54529: [Backport #12264]

    * ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

      API names.  [ruby-core:74863] [Bug #12264]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54684 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/09/2016 06:14 PM - jswatosh (Joe Swatosh)

- File d.diff added

Made a mess of the patch. I had to try to recreate by hand so it may not apply directly, but the idea is simple enough.

#2 - 04/10/2016 11:50 AM - nobu (Nobuyoshi Nakada)

- Description updated

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED

#3 - 04/10/2016 11:54 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r54529.

registry.rb: fix API names

ext/win32/lib/win32/registry.rb (DeleteValue, DeleteKey): fix

API names.  [ruby-core:74863] [Bug #12264]

#4 - 04/18/2016 08:55 AM - naruse (Yui NARUSE)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r54636 merged revision(s) 54529.

#5 - 04/22/2016 06:24 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_2 r54684 merged revision(s) 54529.

Files

d.diff 656 Bytes 04/09/2016 jswatosh (Joe Swatosh)
